This endpoint creates a challenge for the user to sign to verify ownership of their web3 address. By signing the message actions such as creating a funding source can be performed.
Create Challenge
post
/api/challenges Request
Body application/json
purposestringrequiredAllowed values:claim-web3-addressThe purpose of the challenge.
networkstringrequiredAllowed values:algorand-mainnetalgorand-testnetarbitrum-mainnetarbitrum-sepoliabase-mainnetbase-sepoliaethereum-sepoliapolygon-amoypolygon-mainnetsei-mainnetsei-testnetxahau-mainnetxahau-testnetmonad-mainnetmonad-testnetThe blockchain network associated with the web3 address.
addressstringrequiredThe web3 address to which the challenge is directed.
Response
Successful operation.
Body application/json
idstringThe unique identifier of the challenge.
purposestringAllowed values:claim-web3-addressThe purpose of the challenge.
addressstringThe web3 address to which the challenge is directed.
networkstringAllowed values:polygon-mainnetpolygon-amoyarbitrum-mainnetarbitrum-sepoliabase-mainnetbase-sepoliasei-mainnetsei-testnetmonad-mainnetmonad-testnetThe blockchain network associated with the web3 address.
descriptionstringThe description of the challenge.
expiresAtstringThe time the challenge expires.
createdAtstringThe time the challenge was created.
messagestringThe message to be signed by the web3 address owner.
INVALID_CHAIN Chain not supported.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring